## zoneminder 1.38.0~20260205.81

=== debian/changelog ===
zoneminder (1.38.0~20260205.81-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 05 Feb 2026 17:53:53 -0500
