## zoneminder 1.38.0~20260205.89

=== debian/changelog ===
zoneminder (1.38.0~20260205.89-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 05 Feb 2026 18:17:02 -0500
