## zoneminder 1.38.0~20260205.90

=== debian/changelog ===
zoneminder (1.38.0~20260205.90-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 05 Feb 2026 23:01:11 -0500
