## zoneminder 1.38.0~20260206.90

=== debian/changelog ===
zoneminder (1.38.0~20260206.90-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 03:49:05 +0000

zoneminder (1.38.0~20260206.90-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 03:48:32 +0000
