## zoneminder 1.38.0~20260206.92

=== debian/changelog ===
zoneminder (1.38.0~20260206.92-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 06 Feb 2026 08:57:26 -0500
