## zoneminder 1.38.0~20260206.94

=== debian/changelog ===
zoneminder (1.38.0~20260206.94-bookworm) bookworm; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 15:38:21 +0000

zoneminder (1.38.0~20260206.94-bookworm) bookworm; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 15:36:09 +0000
