## zoneminder 1.38.0~20260206.97

=== debian/changelog ===
zoneminder (1.38.0~20260206.97-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 06 Feb 2026 13:32:13 -0500
