## zoneminder 1.38.0~20260206.395

=== debian/changelog ===
zoneminder (1.38.0~20260206.395-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 16:42:26 +0000

zoneminder (1.38.0~20260206.395-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 16:41:29 +0000
