## zoneminder 1.38.0~20260206.402

=== debian/changelog ===
zoneminder (1.38.0~20260206.402-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Fri, 06 Feb 2026 18:30:51 +0000

zoneminder (1.38.0~20260206.402-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Fri, 06 Feb 2026 18:29:56 +0000
