## zoneminder 1.38.0~20260207.98

=== debian/changelog ===
zoneminder (1.38.0~20260207.98-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 12:23:07 -0500
