## zoneminder 1.38.0~20260207.99

=== debian/changelog ===
zoneminder (1.38.0~20260207.99-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 15:19:18 -0500
