## zoneminder 1.38.0~20260207.102

=== debian/changelog ===
zoneminder (1.38.0~20260207.102-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 16:27:04 -0500
