## zoneminder 1.38.0~20260207.104

=== debian/changelog ===
zoneminder (1.38.0~20260207.104-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 17:20:19 -0500
