## zoneminder 1.38.0~20260207.106

=== debian/changelog ===
zoneminder (1.38.0~20260207.106-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 17:53:21 -0500
