## zoneminder 1.38.0~20260207.108

=== debian/changelog ===
zoneminder (1.38.0~20260207.108-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 17:58:12 -0500
