## zoneminder 1.38.0~20260207.109

=== debian/changelog ===
zoneminder (1.38.0~20260207.109-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 18:04:21 -0500
