## zoneminder 1.38.0~20260207.110

=== debian/changelog ===
zoneminder (1.38.0~20260207.110-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 20:24:37 -0500
