## zoneminder 1.38.0~20260207.111

=== debian/changelog ===
zoneminder (1.38.0~20260207.111-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 22:29:09 -0500
