## zoneminder 1.38.0~20260207.114

=== debian/changelog ===
zoneminder (1.38.0~20260207.114-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 22:39:51 -0500
