## zoneminder 1.38.0~20260207.115

=== debian/changelog ===
zoneminder (1.38.0~20260207.115-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 22:42:02 -0500
