## zoneminder 1.38.0~20260207.118

=== debian/changelog ===
zoneminder (1.38.0~20260207.118-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sat, 07 Feb 2026 23:43:26 -0500
