## zoneminder 1.38.0~20260208.111

=== debian/changelog ===
zoneminder (1.38.0~20260208.111-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 01:53:26 +0000

zoneminder (1.38.0~20260208.111-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 01:52:51 +0000
