## zoneminder 1.38.0~20260208.114

=== debian/changelog ===
zoneminder (1.38.0~20260208.114-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 03:33:51 +0000

zoneminder (1.38.0~20260208.114-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 03:33:18 +0000
