## zoneminder 1.38.0~20260208.115

=== debian/changelog ===
zoneminder (1.38.0~20260208.115-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 03:42:49 +0000

zoneminder (1.38.0~20260208.115-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 03:42:13 +0000
