## zoneminder 1.38.0~20260208.118

=== debian/changelog ===
zoneminder (1.38.0~20260208.118-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 08 Feb 2026 02:26:21 -0500
