## zoneminder 1.38.0~20260208.120

=== debian/changelog ===
zoneminder (1.38.0~20260208.120-trixie) trixie; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 08 Feb 2026 15:06:31 -0500
