## zoneminder 1.38.0~20260208.432

=== debian/changelog ===
zoneminder (1.38.0~20260208.432-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 18:02:40 +0000

zoneminder (1.38.0~20260208.432-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 18:01:46 +0000
