## zoneminder 1.38.0~20260208.433

=== debian/changelog ===
zoneminder (1.38.0~20260208.433-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 19:31:15 +0000

zoneminder (1.38.0~20260208.433-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 19:30:18 +0000
