## zoneminder 1.38.0~20260208.434

=== debian/changelog ===
zoneminder (1.38.0~20260208.434-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Sun, 08 Feb 2026 19:35:01 +0000

zoneminder (1.38.0~20260208.434-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Sun, 08 Feb 2026 19:34:08 +0000
