## zoneminder 1.38.0~20260209.123

=== debian/changelog ===
zoneminder (1.38.0~20260209.123-focal) focal; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 14:33:08 +0000

zoneminder (1.38.0~20260209.123-focal) focal; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 14:30:13 +0000
