## zoneminder 1.38.0~20260209.126

=== debian/changelog ===
zoneminder (1.38.0~20260209.126-focal) focal; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 22:11:36 +0000

zoneminder (1.38.0~20260209.126-focal) focal; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 22:08:43 +0000
