## zoneminder 1.38.0~20260209.146

=== debian/changelog ===
zoneminder (1.38.0~20260209.146-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 22:52:42 +0000

zoneminder (1.38.0~20260209.146-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 22:52:07 +0000
