## zoneminder 1.38.0~20260209.152

=== debian/changelog ===
zoneminder (1.38.0~20260209.152-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 23:05:27 +0000

zoneminder (1.38.0~20260209.152-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 23:04:55 +0000
