## zoneminder 1.38.0~20260209.153

=== debian/changelog ===
zoneminder (1.38.0~20260209.153-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Mon, 09 Feb 2026 23:12:53 +0000

zoneminder (1.38.0~20260209.153-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Mon, 09 Feb 2026 23:12:21 +0000
