## zoneminder 1.38.0~20260210.155

=== debian/changelog ===
zoneminder (1.38.0~20260210.155-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Tue, 10 Feb 2026 14:15:05 +0000

zoneminder (1.38.0~20260210.155-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Tue, 10 Feb 2026 14:14:32 +0000
