## zoneminder 1.38.0~20260210.157

=== debian/changelog ===
zoneminder (1.38.0~20260210.157-noble) noble; urgency=medium

  * Automated build

 -- PackPack <build@tarantool.org>  Tue, 10 Feb 2026 14:28:04 +0000

zoneminder (1.38.0~20260210.157-noble) noble; urgency=low
  *
 -- Isaac Connor <isaac@zoneminder.com>  Tue, 10 Feb 2026 14:27:30 +0000
