## zoneminder 1.38.0~20260210.164

=== debian/changelog ===
zoneminder (1.38.0~20260210.164-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Tue, 10 Feb 2026 12:54:22 -0500
