## zoneminder 1.38.0~20260211.185

=== debian/changelog ===
zoneminder (1.38.0~20260211.185-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Wed, 11 Feb 2026 18:40:54 -0500
