## zoneminder 1.38.0~20260211.186

=== debian/changelog ===
zoneminder (1.38.0~20260211.186-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Wed, 11 Feb 2026 22:20:34 -0500
