=== debian/changelog ===
zoneminder (1.38.0~20260212.195-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 12 Feb 2026 13:20:20 -0500
