## zoneminder 1.38.0~20260212.500

=== debian/changelog ===
zoneminder (1.38.0~20260212.500-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Thu, 12 Feb 2026 17:50:46 -0500
