## zoneminder 1.38.0~20260213.205

=== debian/changelog ===
zoneminder (1.38.0~20260213.205-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 13 Feb 2026 10:04:09 -0500
