## zoneminder 1.38.0~20260213.207

=== debian/changelog ===
zoneminder (1.38.0~20260213.207-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Fri, 13 Feb 2026 11:58:02 -0500
