## zoneminder 1.38.0~20260215.226

=== debian/changelog ===
zoneminder (1.38.0~20260215.226-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 12:46:42 -0500
