## zoneminder 1.38.0~20260215.236

=== debian/changelog ===
zoneminder (1.38.0~20260215.236-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 13:05:04 -0500
