## zoneminder 1.38.0~20260215.245

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -152,6 +152,7 @@
     ${CMAKE_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
     ../dep/booleval/include
+    ${ZM_INCLUDE_DIRS}
     )
 
 if(ZM_STRIP_NEON)
