=== debian/changelog ===
zoneminder (1.38.0~20260215.245-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 15:04:37 -0500
