## zoneminder 1.38.0~20260215.247

=== debian/changelog ===
zoneminder (1.38.0~20260215.247-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 15:53:15 -0500
