## zoneminder 1.38.0~20260215.253

=== debian/changelog ===
zoneminder (1.38.0~20260215.253-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 16:01:11 -0500
