## zoneminder 1.38.0~20260215.254

=== debian/changelog ===
zoneminder (1.38.0~20260215.254-bookworm) bookworm; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 16:06:09 -0500
