## zoneminder 1.38.0~20260215.255

=== debian/changelog ===
zoneminder (1.38.0~20260215.255-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Sun, 15 Feb 2026 20:52:05 -0500
