## zoneminder 1.38.0~20260216.255

=== debian/changelog ===
zoneminder (1.38.0~20260216.255-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 03:58:56 -0500
