## zoneminder 1.38.0~20260216.256

=== debian/changelog ===
zoneminder (1.38.0~20260216.256-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 12:51:45 -0500
