=== debian/changelog ===
zoneminder (1.38.0~20260216.576-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 15:58:31 -0500
