## zoneminder 1.38.0~20260216.579

=== debian/changelog ===
zoneminder (1.38.0~20260216.579-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Mon, 16 Feb 2026 18:15:56 -0500
