## zoneminder 1.38.0

=== debian/changelog ===
zoneminder (1.38.0-trixie1) trixie; urgency=medium

  * 

 -- Isaac Connor <iconnor@connortechnology.com>  Fri, 06 Feb 2026 21:21:30 -0500
