=== debian/changelog ===
zoneminder (1.38.1~20260217.2-noble) noble; urgency=medium

  * 

 -- Github CI <info@zoneminder.com>  Tue, 17 Feb 2026 13:54:31 -0500
